Package org.eclipse.m2m.atl.emftvm.impl

## Class RuleImpl.WithoutMatcherCbState

- java.lang.Object
- - org.eclipse.m2m.atl.emftvm.impl.RuleImpl.MatcherCbState
  - - org.eclipse.m2m.atl.emftvm.impl.RuleImpl.WithoutMatcherCbState

Enclosing class:
  RuleImpl

    protected class RuleImpl.WithoutMatcherCbState
    extends RuleImpl.MatcherCbState

`RuleImpl.MatcherCbState` class for rules that do not have a `Rule.getMatcher()` code block.

### Constructor Summary

Constructors
`protected` `WithoutMatcherCbState()`

### Method Summary

### Methods inherited from class org.eclipse.m2m.atl.emftvm.impl.RuleImpl.MatcherCbState

`matchFor, matchFor`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WithoutMatcherCbState

    protected WithoutMatcherCbState()